Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.lifecycle
Class ManagedLifecycleStateEvent

    java.lang.Object
      java.util.EventObject
          org.jboss.soa.esb.listeners.lifecycle.ManagedLifecycleStateEvent

All Implemented Interfaces:
  java.io.Serializable

    public class ManagedLifecycleStateEvent

extends java.util.EventObject

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ManagedLifecycleStateEvent(ManagedLifecycle instance, ManagedLifecycleState origState, ManagedLifecycleState newState)` Construct the managed lifecycle state event.

Method Summary
`ManagedLifecycle` | `getManagedInstance()` Get the managed lifecycle instance.
`ManagedLifecycleState` | `getNewState()` Get the new state after transition.
`ManagedLifecycleState` | `getOriginalState()` Get the original state, prior to transition.
`java.lang.String` | `toString()` Return a String representation of this event.

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ManagedLifecycleStateEvent

    public ManagedLifecycleStateEvent(ManagedLifecycle instance,
                                      ManagedLifecycleState origState,
                                      ManagedLifecycleState newState)

  Construct the managed lifecycle state event.

  Parameters:
    `instance` - The managed instance
    `origState` - The original state, prior to transition
    `newState` - The new state after transition

Method Detail

### getManagedInstance

    public ManagedLifecycle getManagedInstance()

  Get the managed lifecycle instance.

  Returns:
    The managed lifecycle instance.

### getOriginalState

    public ManagedLifecycleState getOriginalState()

  Get the original state, prior to transition.

  Returns:
    The original state.

### getNewState

    public ManagedLifecycleState getNewState()

  Get the new state after transition.

  Returns:
    The new state.

### toString

    public java.lang.String toString()

  Return a String representation of this event.

  Overrides:
    `toString` in class `java.util.EventObject`
  Returns:
    The string representation of this event.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD